Summary: A CRT screen handling and optimization package.
Name: ncurses
Version: 5.2
Release: 3
License: IBM_ILA
Group: System Environment/Libraries
Source0: ftp://ftp.gnu.org/gnu/ncurses/ncurses-%{version}.tar.gz
Source1: IBM_ILA
Source2: %{name}.txt
URL: http://www.gnu.org/software/ncurses/ncurses.html
Prefix: %{_prefix}
BuildRoot: /var/tmp/%{name}-root

%define stdlib lib
%define liblink ../..
%define DEFCC xlc

%description
The curses library routines are a terminal-independent method of
updating character screens with reasonable optimization.  The ncurses
(new curses) library is a freely distributable replacement for the
discontinued 4.4BSD classic curses library.

%package devel
Summary: The development files for applications which use ncurses.
Group: Development/Libraries
Requires: ncurses = %{PACKAGE_VERSION}

%description devel
The header files and libraries for developing applications that use
the ncurses CRT screen handling and optimization package.

Install the ncurses-devel package if you want to develop applications
which will use ncurses.

%prep
%setup -q

# Add license info
cat $RPM_SOURCE_DIR/IBM_ILA > LICENSE
cat $RPM_SOURCE_DIR/%{name}.txt >> LICENSE

%build
# Use the default compiler for this platform - gcc otherwise
if [[ -z "$CC" ]]
then
    if test "X`type %{DEFCC} 2>/dev/null`" != 'X'; then
       export CC=%{DEFCC}
    else 
       export CC=gcc
    fi
fi
if [[ "$CC" != "gcc" ]]
then
       export RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS | sed 's:-fsigned-char::'`
fi

CFLAGS="%{optflags}"
%define optflags $CFLAGS
./configure \
	--prefix=%{prefix} \
	--with-install-prefix=$RPM_BUILD_ROOT \
	--without-cxx --without-ada # --with-shared
make

%install
rm -rf $RPM_BUILD_ROOT
make install includedir=%prefix/include/ncurses

/usr/bin/strip $RPM_BUILD_ROOT%{_prefix}/bin/* || :
make clean -C test


(cd $RPM_BUILD_ROOT

 rm .%{prefix}/lib/*_g.a
 rm .%{prefix}/lib/libcurses.a
 cd .%{prefix}/include
 ln -s ncurses/* .
 rm term.h unctrl.h curses.h
 cd -

 for dir in bin share include
 do
    mkdir -p usr/$dir
    cd usr/$dir
    ln -sf ../..%{prefix}/$dir/* .
    cd -
 done

 mkdir -p usr/%{stdlib}
 cd usr/%{stdlib}
 ln -sf %{liblink}%{prefix}/lib/* .
 rm -f terminfo
 cd -

 mkdir -p usr/linux/include
 cd usr/linux/include
 ln -sf ../../..%{prefix}/include/ncurses/* .
 cd -

 mkdir -p usr/linux/bin
 cd usr/bin
 mv captoinfo clear infocmp reset tic tput tset ../../usr/linux/bin
 cd -

 mkdir -p usr/linux/lib
 cd usr/linux/lib
 ln -sf ../../..%{prefix}/lib/* .
)

%files
%defattr(-,root,root)
%doc README ANNOUNCE LICENSE
%attr(755,root,root) %{_prefix}/lib/lib*.a
%{prefix}/share/terminfo
%{prefix}/share/tabset
/usr/share/terminfo
/usr/share/tabset
/usr/%{stdlib}/lib*.a
%{prefix}/bin/*
/usr/linux/bin/*
/usr/linux/lib/*
/usr/bin/*
%{prefix}/man/man1/*
%{prefix}/man/man5/*
%{prefix}/man/man7/*

%files devel
%defattr(-,root,root)
%doc c++ test LICENSE
%doc doc/hackguide.doc
%doc doc/ncurses-intro.doc
%doc doc/html/*.html
%{prefix}/include/ncurses/*.h
%{prefix}/include/*.h
%{prefix}/man/man3/*
/usr/include/*.h
/usr/linux/include/*.h
/usr/include/ncurses

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Nov 22 2002 David Clissold <cliss@austin.ibm.com>
- Add IBM ILA license.

* Thu Mar 07 2002 David Clissold <cliss@austin.ibm.com>
- Build it with xlc.

* Tue Sep 04 2001 David Clissold <cliss@austin.ibm.com>
- Update to ncurses level 5.2

* Sun Apr 08 2001 Marc Stephenson <marc@austin.ibm.com>
- Remove link to /opt/freeware/lib/libcurses.a since it is incompatible
  with /usr/lib/libcurses.a at this point.

* Tue Feb 20 2001 aixtoolbox <aixtoollbox-l@austin.ibm.com>
- Account for different standard lib location in IA64 32-bit ABI

* Sun Feb 11 2001 pkgmgr <aixtoolbox-l@austin.ibm.com>
- Fix broken symbolic links

* Fri Oct 27 2000 pkgmgr <pkgmgr@austin.ibm.com>
- Modify for AIX Freeware distribution

* Tue Mar  7 2000 Jeff Johnson <jbj@redhat.com>
- rebuild for sparc baud rates > 38400.

* Fri Feb 18 2000 Preston Brown <pbrown@redhat.com>
- xterm terminfo entries from XFree86 3.3.6
- final round of xterm fixes, follow debian policy.

* Sat Feb  5 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- strip libraries

* Thu Feb  3 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- More xterm fixes (Bug #9087)

* Thu Jan 27 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- More xterm fixes from Hans de Goede (Bug #8633)

* Sat Jan 15 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- remove some broken symlinks (leftovers from libncurses.so.5)
- Use %configure (Bug #8484)

* Tue Jan 11 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- Add xterm patch from Hans de Goede <hans@highrise.nl>
- Patch 20000108, this fixes a problem with a header file.

* Wed Jan  5 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- Add 20000101 patch, hopefully finally fixing the xterm description

* Wed Dec 22 1999 Cristian Gafton <gafton@redhat.com>
- revert to the old major number - because the ABI is not changed (and we
  should be handling the changes via symbol versioning anyway)

* Fri Nov 12 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix a typo in spec
- Add the 19991006 patch, fixing some C++ STL compatibility problems.
- get rid of profiling and debugging versions - we need to save space...

* Thu Nov  4 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- 5.0
- some spec cleanups to make updating easier
- add links *.so.5 to *.so.4 - they are fully binary compatible.
  (Why did they change the invocation number???)

* Wed Sep 22 1999 Cristian Gafton <gafton@redhat.com>
- make clean in the test dir - don't ship any binaries at all.

* Mon Sep 13 1999 Preston Brown <pbrown@redhat.com>
- fixed stripping of test programs.

* Sun Aug 29 1999 Preston Brown <pbrown@redhat.com>
- removed 'flash' capability for xterm; see bug #2820 for details.

* Fri Aug 27 1999 Cristian Gafton <gafton@redhat.com>
- add the resetall script from Marc Merlin <marc@merlins.org>

* Fri Aug 27 1999 Preston Brown <pbrown@redhat.com>
- added iris-ansi-net as alias for iris-ansi (bug #2561)

* Fri Jul 30 1999 Michael K. Johnson <johnsonm@redhat.com>
- added ncurses-intro.hmtl and hackguide.html to -devel package [bug #3929]

* Tue Apr 06 1999 Preston Brown <pbrown@redhat.com>
- make sure ALL binaries are stripped (incl. test binaries)

* Thu Mar 25 1999 Preston Brown <pbrown@redhat.com>
- made xterm terminfo stuff MUCH better.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 16)

* Sat Mar 13 1999 Cristian Gafton <gafton@redhat.com>
- fixed header for C++ compiles

* Fri Mar 12 1999 Jeff Johnson <jbj@redhat.com>
- add terminfo entries for linux/linux-m on sparc (obsolete termfile_sparc).

* Thu Feb 18 1999 Cristian Gafton <gafton@redhat.com>
- updated patchset from original site

* Thu Dec 03 1998 Cristian Gafton <gafton@redhat.com>
- don't build the C++ demo code
- update patch set to the current as of today (redid all the individual
  patches in a single one)

* Wed Oct 14 1998 Cristian Gafton <gafton@redhat.com>
- make sure to strip the binaries

* Wed Sep 23 1998 Cristian Gafton <gafton@redhat.com>
- added another zillion of patches. The spec file *is* ugly
- defattr

* Mon Jul 20 1998 Cristian Gafton <gafton@redhat.com>
- added lots of patches. This spec file is starting to look ugly

* Wed Jul 01 1998 Alan Cox <alan@redhat.com>
- Fix setuid trusting. Open termcap/info files as the real user.

* Wed May 06 1998 Cristian Gafton <gafton@redhat.com>
- added terminfo entry for the poor guys using lat1 and/or lat-2 on their
  consoles... Enjoy linux-lat ! Thanks, Erik !

* Tue Apr 21 1998 Cristian Gafton <gafton@redhat.com>
- new patch to get xterm-color and nxterm terminfo entries
- aliased them to rxvt, as that seems to satisfy everybody

* Sun Apr 12 1998 Cristian Gafton <gafton@redhat.com>
- added %clean section

* Tue Apr 07 1998 Cristian Gafton <gafton@redhat.com>
- removed /usr/lib/terminfo symlink - we shouldn't need that

* Mon Apr 06 1998 Cristian Gafton <gafton@redhat.com>
- updated to 4.2 + patches
- added BuildRoot

* Sat Apr 04 1998 Cristian Gafton <gafton@redhat.com>
- rebuilt with egcs on alpha

* Wed Dec 31 1997 Erik Troan <ewt@redhat.com>
- version 7 didn't rebuild properly on the Alpha somehow -- no real changes
  are in this version

* Tue Dec 09 1997 Erik Troan <ewt@redhat.com>
- TIOCGWINSZ wasn't used properly

* Tue Jul 08 1997 Erik Troan <ewt@redhat.com>
- built against glibc, linked shared libs against -lc

